Identity Providers

The Identity Providers API allows you to list and manage identity providers (IdPs) on your Access Gateway instance.

List all IdPs

Lists all identity providers (IdPs) that are configured in Access Gateway

Responses
200

Success

401

Unauthorized

403

Forbidden

429

Too Many Requests

get/api/v2/idps
Request samples
Response samples
application/json
[
  • {
    • "id": "10229d53-cb73-44b2-89b0-740f679b29b9",
    • "type": "IDP_OKTA",
    • "name": "My Okta IdP",
    • "description": "Okta identity provider",
    • "domain": "idp.company.com",
    • "tenant": "company.okta.com",
    • "validationStatus": {
      }
    },
  • {
    • "id": "b9231786-7f66-488c-ad1d-e1bd8983bce8",
    • "type": "IDP_AUTH0",
    • "name": "My Auth0 IdP",
    • "description": "Auth0 identity provider",
    • "domain": "auth0.company.com",
    • "tenant": "company.us.auth0.com",
    • "validationStatus": {
      }
    }
]

Create an IdP

Creates an identity provider (IdP) in Access Gateway

Request
Request Body schema: application/json
required
type
required
string

IdP type

There are two types of IdPs that you can create:

  • IDP_OKTA connects to Okta's IdP
  • IDP_AUTH0 connects to Auth0's IdP
domain
required
string

Okta org domain/custom domain (if configured). The domain must be unique per IdP. Creating another IDP with the same domain returns an error.

apiToken
required
string

Access token for the IdP

description
string

Enter a description for the IdP

name
string

Enter a name for the IdP

Responses
200

IdP created successfully

400

Bad Request

401

Unauthorized

403

Forbidden

429

Too Many Requests

post/api/v2/idps
Request samples
application/json
{
  • "name": "My Okta IdP",
  • "description": "Okta identity provider",
  • "type": "IDP_OKTA",
  • "domain": "idp.company.com",
  • "apiToken": "<api-token>"
}
Response samples
application/json
{
  • "id": "10229d53-cb73-44b2-89b0-740f679b29b9",
  • "type": "IDP_OKTA",
  • "name": "My Okta IdP",
  • "description": "Okta identity provider",
  • "domain": "idp.company.com",
  • "tenant": "company.okta.com",
  • "validationStatus": {
    • "valid": true,
    • "permissions": {
      }
    }
}

Retrieve an IdP

Retrieves an identity provider (IdP) integration by idpId

This request returns the IdP configuration and its properties.

Request
path Parameters
idpId
required
string <uuid>

Identifier of the IdP

Responses
200

Success

400

Bad Request

401

Unauthorized

403

Forbidden

404

Not Found

429

Too Many Requests

get/api/v2/idps/{idpId}
Request samples
Response samples
application/json
{
  • "id": "10229d53-cb73-44b2-89b0-740f679b29b9",
  • "type": "IDP_OKTA",
  • "name": "My Okta IdP",
  • "description": "Okta identity provider",
  • "domain": "idp.company.com",
  • "tenant": "company.okta.com",
  • "validationStatus": {
    • "valid": true,
    • "permissions": {
      }
    }
}

Replace an IdP

Replaces an existing identity provider (IdP) configuration

Use this endpoint to update the configuration of the specified IdP.

Request
path Parameters
idpId
required
string <uuid>

Identifier of the IdP

Request Body schema: application/json
required
type
required
string

IdP type

There are two types of IdPs that you can create:

  • IDP_OKTA connects to Okta's IdP
  • IDP_AUTH0 connects to Auth0's IdP
domain
required
string

Okta org domain/custom domain (if configured). The domain must be unique per IdP. Creating another IDP with the same domain returns an error.

apiToken
required
string

Access token for the IdP

description
string

Enter a description for the IdP

name
string

Enter a name for the IdP

Responses
200

IdP updated successfully

400

Bad Request

401

Unauthorized

403

Forbidden

404

Not Found

429

Too Many Requests

put/api/v2/idps/{idpId}
Request samples
application/json
{
  • "name": "My Okta IdP",
  • "description": "Okta identity provider",
  • "apiToken": "<api-token>"
}
Response samples
application/json
{
  • "id": "10229d53-cb73-44b2-89b0-740f679b29b9",
  • "type": "IDP_OKTA",
  • "name": "My Okta IdP",
  • "description": "Okta identity provider",
  • "domain": "idp.company.com",
  • "tenant": "company.okta.com",
  • "validationStatus": {
    • "valid": true,
    • "permissions": {
      }
    }
}

Delete an IdP

Deletes an identity provider (IdP) by idpId

Deleting the IdP configuration removes it from Access Gateway. To successfully delete an IDP, ensure that it doesn't have any applications associated with it. Use the Replace an application endpoint to remove the application's IdP configuration before deleting the IdP.

Request
path Parameters
idpId
required
string <uuid>

Identifier of the IdP

Responses
204

IdP deleted successfully

400

Bad Request

401

Unauthorized

403

Forbidden

404

Not Found

429

Too Many Requests

delete/api/v2/idps/{idpId}
Request samples
Response samples
application/json
{
  • "details": { },
  • "errorCode": "BAD_REQUEST",
  • "message": "Request validation failed"
}